from setuptools import find_packages, setup

package_name = 'ws_nodes_py'

setup(
    name=package_name,
    version='0.0.0',
    packages=find_packages(exclude=['test']),
    data_files=[
        ('share/ament_index/resource_index/packages',
            ['resource/' + package_name]),
        ('share/' + package_name, ['package.xml']),
    ],
    install_requires=['setuptools'],
    zip_safe=True,
    maintainer='mnc',
    maintainer_email='m.chemodanov@noniusgroup.ru',
    description='TODO: Package description',
    license='TODO: License declaration',
    tests_require=['pytest'],
    entry_points={
        'console_scripts': [
            'regulator = ws_nodes_py.regulator:main',
            'point_logger = ws_nodes_py.point_logger:main',
            'nmea_reader = ws_nodes_py.nmea_parser:main',
            'video_recorder = ws_nodes_py.video:main',
            'twist_controller = ws_nodes_py.twist_controller:main',
            'to_berlin = ws_nodes_py.to_kiev:main',
            'camcvF = ws_nodes_py.videoF:main',
            'camcvS = ws_nodes_py.videoS:main',
            'camcvD = ws_nodes_py.videoD:main',
            'world = ws_nodes_py.world:main',
            'compass = ws_nodes_py.compass:main',
        ],
    },
)
